[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TParam.Text

Read or write the value of the parameter as a string

## Declaration

Source position: db.pas line 1205

`public property TParam.Text : string read GetAsString write SetText;`

## Description

AsText returns the same value as TParam.AsString, but, when written, does not set the data type: instead, it attempts to convert the value to the type specified in TParam.Datatype.

## See also

TParam.AsString |  | Get/Set parameter value as a string value
TParam.DataType |  | Data type of the parameter

Documentation generated on: Feb 26 2014